| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
LPC_SCU_T Struct Reference
CHIP: LPC18xx/43xx SCU Driver (configures pin functions)

## Detailed Description

System Control Unit register block.

Definition at line 42 of file scu_18xx_43xx.h.

`#include "scu_18xx_43xx.h"`

## Data Fields
__IO uint32_t | SFSP [16][32]
__I uint32_t | RESERVED0 [256]
__IO uint32_t | SFSCLK [4]
__I uint32_t | RESERVED16 [28]
__IO uint32_t | SFSUSB
__IO uint32_t | SFSI2C0
__IO uint32_t | ENAIO [3]
__I uint32_t | RESERVED17 [27]
__IO uint32_t | EMCDELAYCLK
__I uint32_t | RESERVED18 [63]
__IO uint32_t | PINTSEL0
__IO uint32_t | PINTSEL1

## Field Documentation

__IO uint32_t EMCDELAYCLK

EMC clock delay register

Definition at line 51 of file scu_18xx_43xx.h.

__IO uint32_t ENAIO[3]

Analog function select registerS

Definition at line 49 of file scu_18xx_43xx.h.

__IO uint32_t PINTSEL0

Pin interrupt select register for pin interrupts 0 to 3.

Definition at line 53 of file scu_18xx_43xx.h.

__IO uint32_t PINTSEL1

Pin interrupt select register for pin interrupts 4 to 7.

Definition at line 54 of file scu_18xx_43xx.h.

__I uint32_t RESERVED0[256]

Definition at line 44 of file scu_18xx_43xx.h.

__I uint32_t RESERVED16[28]

Definition at line 46 of file scu_18xx_43xx.h.

__I uint32_t RESERVED17[27]

Definition at line 50 of file scu_18xx_43xx.h.

__I uint32_t RESERVED18[63]

Definition at line 52 of file scu_18xx_43xx.h.

__IO uint32_t SFSCLK[4]

Pin configuration register for pins CLK0-3

Definition at line 45 of file scu_18xx_43xx.h.

__IO uint32_t SFSI2C0

Pin configuration register for I2C0-bus pins

Definition at line 48 of file scu_18xx_43xx.h.

__IO uint32_t SFSP[16][32]

Definition at line 43 of file scu_18xx_43xx.h.

__IO uint32_t SFSUSB

Pin configuration register for USB

Definition at line 47 of file scu_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_18xx_43xx/scu_18xx_43xx.h